<?php
// +----------------------------------------------------------------------
// | Sunnyi 多语商城建站系统 (Build on ThinkPHP)
// +----------------------------------------------------------------------
// | Copyright (c) 2009 http://www.sunnyi.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 商易网络(admin@sunnyi.cn)
// +----------------------------------------------------------------------

// 邮局支付模型
class PostpayPayment extends Think implements Payment
{
	public function getPaymentCode($payment_log_id, $money, $payment_id, $currency_id)
	{		
		$payment_info = D("Payment")->getById($payment_id);
		$payment_info['config'] = unserialize($payment_info['config']);
		$currency = M("Currency")->where("id=".$currency_id)->find();
		$def_url = L("POSTPAY_ACCOUNT").":".$payment_info['config']['postpay_account'];
		$def_url.="<br />".L("POSTPAY_USERNAME").":".$payment_info['config']['postpay_username'];
		
		
		
		$def_url.="<br />".L("TOTAL_PRICE").":".$currency['unit']." ".number_format($money,2);
		return $def_url;
	}
	public function dealResult($get,$post,$request)
	{
		return L("INVALID_OPERATION");
	}
}
?>